Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.index
Interface IndexCommitPoint

All Known Implementing Classes:
  IndexCommit

Deprecated. Please subclass IndexCommit class instead

    public interface IndexCommitPoint

Method Summary
`void` | `delete()` Deprecated. Delete this commit point.
`Collection` | `getFileNames()` Deprecated. Returns all index files referenced by this commit point.
`String` | `getSegmentsFileName()` Deprecated. Get the segments file (`segments_N`) associated with this commit point.

Method Detail

### getSegmentsFileName

    String getSegmentsFileName()

  Deprecated.
  Get the segments file (`segments_N`) associated with this commit point.

### getFileNames

    Collection getFileNames()
                            throws IOException

  Deprecated.
  Returns all index files referenced by this commit point.

  Throws:
    `IOException`

### delete

    void delete()

  Deprecated.
  Delete this commit point.

  Upon calling this, the writer is notified that this commit point should be deleted.

  Decision that a commit-point should be deleted is taken by the `IndexDeletionPolicy` in effect and therefore this should only be called by its `onInit()` or `onCommit()` methods.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 Apache Software Foundation. All Rights Reserved.